Skip to content

Update FormField Analysis.

POST
/api/shape/csd/namespaces/{namespace}/formFields/analysis
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields/analysis \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "type": "SENSITIVE" }'

Mark / unmark field sensitivity by customer.

Examples of this operation.

namespace
required
string

Namespace Namespace.

Media typeapplication/json
UpdateFieldAnalysisRequest

Request to PATCH analysis of fields across scripts.

object
name
name

Name Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

Namespace

string
>= 6 characters <= 1024 characters
type
string
default: SENSITIVE
Allowed values: SENSITIVE NOT_SENSITIVE

A successful response.

Media typeapplication/json
object
status
status

Values: not_modified , success Status about field analysis status modification.

string
>= 17 characters <= 1024 characters
Examplegenerated
{
"status": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example